ModSecurityの脆弱性情報(High: CVE-2021-35368)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

06/30/2021にModSecurityの脆弱性情報(High: CVE-2021-35368)が公開されていました。古くなりましたが、今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2021-35368 https://coreruleset.org/20210630/cve-2021-35368-crs-request-body-bypass/

Vendor: 8.0 HIGH

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-35368
    • バイパスの可能性
    • OWASP ModSecurity Core Rule Set(CRS)に、リクエストボディ中の後端のパス名情報をバイパスする問題が見つかりました。従って、CRS Web Application Firewallルールセットで保護されているにも関わらず、アプリケーションサーバがリクエストURI中で追加のパス情報を許可している場合には、この脆弱性の影響を受ける可能性があります。CRS 3.0.x, 3.1.0, 3.1.1はEOLになっているため、ユーザは3.1.2, 3.2.1, 3.3.2にアップグレードする必要があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。


セキュリティ系連載案内

日々のメモを更新しています。

セキュリティ関係ニュースを更新しています。個別で情報出せるようになる前の簡単な情報・リンクなんかも載せていきます。

セミナー情報1

2021/10/22日に大阪商工会議所様が開催致しました「BCP・サイバーセキュリティセミナー「やってはイケナイ」をやってみる!」ですが、Youtube動画が公開されています。筆者も登壇しましたので、ご興味がありましたらぜひ見て下さい。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Linux Kernelの脆弱性(Moderate: CVE-2021-43389)

次へ

PostgreSQLの脆弱性情報(CVE-2021-23214, CVE-2021-23222)と新バージョン(14.1, 13.5, 12.9, 11.14, 10.19, 9.6.24)